cURL
curl --request GET \
--url https://api.readfile.io/v1.0.1/file/jobs \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.readfile.io/v1.0.1/file/jobs"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.readfile.io/v1.0.1/file/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"job_id": "<string>",
"status": "<string>",
"strategy": "<string>",
"file_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_time_ms": 123
}
]{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Endpoints
Jobs
Returns a list of the processing jobs you have submitted to ReadFile.
GET
/
v1.0.1
/
file
/
jobs
cURL
Authorizations
Query Parameters
The number of jobs to return, sorted in timestamp order.
Response
Successfully retrieved jobs list
The identifier of your task on ReadFile.
The current state of your task on ReadFile.
The processing strategy used for the extraction.
The name of the file processed.
The time the job was initiated
The length of time the job took to complete, in milliseconds
⌘I